tigase.db

## Class AuthRepositoryImpl

- java.lang.Object
- - tigase.db.AuthRepositoryImpl

- All Implemented Interfaces:
    AuthRepository, Repository

      public class AuthRepositoryImpl
      extends Object
      implements AuthRepository

  Describe class AuthRepositoryImpl here.
  Created: Sat Nov 11 21:46:50 2006
  Author:
    Artur Hefczyc

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tigase.db.AuthRepository

      `AuthRepository.AccountStatus, AuthRepository.DefaultCredentials, AuthRepository.SingleCredential`

    - ### Nested classes/interfaces inherited from interface tigase.db.Repository

      `Repository.Meta, Repository.SchemaId`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCOUNT_STATUS_KEY`
    `protected static String` | `DISABLED_KEY`
    `protected static Logger` | `log`
    `protected static String` | `PASSWORD_KEY`

    - ### Fields inherited from interface tigase.db.AuthRepository

      `DATA_KEY, DIGEST_ID_KEY, DIGEST_KEY, MACHANISM_KEY, PROTOCOL_KEY, PROTOCOL_VAL_NONSASL, PROTOCOL_VAL_SASL, REALM_KEY, RESULT_KEY, SERVER_NAME_KEY, USER_ID_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthRepositoryImpl(UserRepository repo)` Creates a new `AuthRepositoryImpl` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUser(BareJID user, String password)`
    `AuthRepository.AccountStatus` | `getAccountStatus(BareJID user)`
    `String` | `getPassword(BareJID user)`
    `String` | `getResourceUri()` `getResourceUri` method returns database connection string.
    `long` | `getUsersCount()` This method is only used by the server statistics component to report number of registered users.
    `long` | `getUsersCount(String domain)` This method is only used by the server statistics component to report number of registered users for given domain.
    `void` | `initRepository(String string, Map<String,String> params)` Deprecated.
    `boolean` | `isMechanismSupported(String domain, String mechanism)`
    `boolean` | `isUserDisabled(BareJID user)`
    `void` | `loggedIn(BareJID jid)` Do some actions on repository, when user logs in.
    `void` | `logout(BareJID user)`
    `boolean` | `otherAuth(Map<String,Object> props)`
    `void` | `queryAuth(Map<String,Object> authProps)` `queryAuth` returns mechanisms available for authentication.
    `void` | `removeUser(BareJID user)`
    `void` | `setAccountStatus(BareJID user, AuthRepository.AccountStatus value)`
    `void` | `setUserDisabled(BareJID user, Boolean value)`
    `void` | `updatePassword(BareJID user, String password)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.db.AuthRepository

      `getCredentialIds, getCredentials, getUsernames, removeCredential, setCredentialsCodecs, updateCredential`

- - ### Field Detail

    - #### ACCOUNT_STATUS_KEY

          public static final String ACCOUNT_STATUS_KEY

      See Also:
        Constant Field Values

    - #### log

          protected static final Logger log

    - #### DISABLED_KEY

          protected static final String DISABLED_KEY

      See Also:
        Constant Field Values

    - #### PASSWORD_KEY

          protected static final String PASSWORD_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AuthRepositoryImpl

          public AuthRepositoryImpl(UserRepository repo)

      Creates a new `AuthRepositoryImpl` instance.

  - ### Method Detail

    - #### loggedIn

          public void loggedIn(BareJID jid)
                        throws TigaseDBException

      Description copied from interface: `AuthRepository`
      Do some actions on repository, when user logs in. (for example update `last_login_time`)
      Specified by:
        `loggedIn` in interface `AuthRepository`
      Parameters:
        `jid` - JID of logged user.
      Throws:
        `TigaseDBException` - if an error occurs

    - #### addUser

          public void addUser(BareJID user,
                              String password)
                       throws UserExistsException,
                              TigaseDBException

      Specified by:
        `addUser` in interface `AuthRepository`
      Throws:
        `UserExistsException`
        `TigaseDBException`

    - #### isMechanismSupported

          public boolean isMechanismSupported(String domain,
                                              String mechanism)

      Specified by:
        `isMechanismSupported` in interface `AuthRepository`

    - #### getResourceUri

          public String getResourceUri()

      Description copied from interface: `AuthRepository`
      `getResourceUri` method returns database connection string.
      Specified by:
        `getResourceUri` in interface `AuthRepository`
      Returns:
        a `String` value of database connection string.

    - #### getUsersCount

          public long getUsersCount()

      Description copied from interface: `AuthRepository`
      This method is only used by the server statistics component to report number of registered users.
      Specified by:
        `getUsersCount` in interface `AuthRepository`
      Returns:
        a `long` number of registered users in the repository.

    - #### getUsersCount

          public long getUsersCount(String domain)

      Description copied from interface: `AuthRepository`
      This method is only used by the server statistics component to report number of registered users for given domain.
      Specified by:
        `getUsersCount` in interface `AuthRepository`
      Parameters:
        `domain` - for which get the statistics
      Returns:
        a `long` number of registered users in the repository.

    - #### initRepository

          @Deprecated
          public void initRepository(String string,
                                                 Map<String,String> params)
                                          throws DBInitException

      Deprecated.
      Description copied from interface: `Repository`
      Method is deprecated and should not be user any more.
      The method is called to initialize the data repository. Depending on the implementation all the initialization parameters can be passed either via `resource_uri` parameter as the database connection string or via `params` map if the required repository parameters are more complex or both.
      Specified by:
        `initRepository` in interface `Repository`
      Parameters:
        `string` - value in most cases representing the database connection string.
        `params` - is a `Map` with repository properties necessary to initialize and perform all the functions. The initialization parameters are implementation dependent.
      Throws:
        `DBInitException` - if there was an error during repository initialization. Some implementations, though, perform so called lazy initialization so even though there is a problem with the underlying repository it may not be signaled through this method call.

    - #### logout

          public void logout(BareJID user)

      Specified by:
        `logout` in interface `AuthRepository`

    - #### otherAuth

          public boolean otherAuth(Map<String,Object> props)
                            throws UserNotFoundException,
                                   TigaseDBException,
                                   AuthorizationException

      Specified by:
        `otherAuth` in interface `AuthRepository`
      Throws:
        `UserNotFoundException`
        `TigaseDBException`
        `AuthorizationException`

    - #### queryAuth

          public void queryAuth(Map<String,Object> authProps)

      Description copied from interface: `AuthRepository`
      `queryAuth` returns mechanisms available for authentication.
      Specified by:
        `queryAuth` in interface `AuthRepository`
      Parameters:
        `authProps` - a `Map` value with parameters for authentication.

    - #### removeUser

          public void removeUser(BareJID user)
                          throws UserNotFoundException,
                                 TigaseDBException

      Specified by:
        `removeUser` in interface `AuthRepository`
      Throws:
        `UserNotFoundException`
        `TigaseDBException`

    - #### updatePassword

          public void updatePassword(BareJID user,
                                     String password)
                              throws TigaseDBException

      Specified by:
        `updatePassword` in interface `AuthRepository`
      Throws:
        `TigaseDBException`

    - #### getPassword

          public String getPassword(BareJID user)
                             throws UserNotFoundException,
                                    TigaseDBException

      Specified by:
        `getPassword` in interface `AuthRepository`
      Throws:
        `UserNotFoundException`
        `TigaseDBException`

    - #### getAccountStatus

          public AuthRepository.AccountStatus getAccountStatus(BareJID user)
                                                        throws TigaseDBException

      Specified by:
        `getAccountStatus` in interface `AuthRepository`
      Throws:
        `TigaseDBException`

    - #### isUserDisabled

          public boolean isUserDisabled(BareJID user)
                                 throws UserNotFoundException,
                                        TigaseDBException

      Specified by:
        `isUserDisabled` in interface `AuthRepository`
      Throws:
        `UserNotFoundException`
        `TigaseDBException`

    - #### setAccountStatus

          public void setAccountStatus(BareJID user,
                                       AuthRepository.AccountStatus value)
                                throws TigaseDBException

      Specified by:
        `setAccountStatus` in interface `AuthRepository`
      Throws:
        `TigaseDBException`

    - #### setUserDisabled

          public void setUserDisabled(BareJID user,
                                      Boolean value)
                               throws UserNotFoundException,
                                      TigaseDBException

      Specified by:
        `setUserDisabled` in interface `AuthRepository`
      Throws:
        `UserNotFoundException`
        `TigaseDBException`

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.